\documentclass[]{standalone}
\usepackage{pgfplots}
% Nice color sets, see see http://colorbrewer2.org/	
\usepgfplotslibrary{colorbrewer}
% initialize Set1-4 from colorbrewer (we're comparing 4 classes),
\pgfplotsset{compat = 1.15, cycle list/Set1-8} 
% Tikz is loaded automatically by pgfplots
\usetikzlibrary{pgfplots.statistics, pgfplots.colorbrewer} 
% provides \pgfplotstabletranspose
\usepackage{pgfplotstable}
\usepackage{filecontents}
\usepgfplotslibrary{groupplots}
\begin{document}
\begin{tikzpicture}
  % Read the file
  % if needed, define column separators by pgfplotstableread[col sep=...]{}{}
 %\pgfplotstableread{data.csv}{\Data}
	\begin{groupplot}[
		group style = {group size = 3 by 2},
				boxplot/draw direction = y,
		x axis line style = {opacity=0},
		axis x line* = bottom,
		axis y line = left,
		enlarge y limits,
		xtick = {1},
%     height = 10cm,
%     width = 10cm,
%     ymin = 500,
%     xticklabels from table = {\Data}{Day}, xtick = {1,...,19},
%     xticklabel style = {rotate = 90, xshift = -0.8ex, anchor = mid east}
	]
		\nextgroupplot[
			xticklabels = {UV},
			ylabel=Detector Values in counts,
%			xmin = 1,
%			xmax = 19,
%			ymax = 900,
		]
			\addplot+[
				boxplot,
				fill,
				violet,
				draw=black,
				]  table [
					y expr=\thisrow{UV},
					col sep=semicolon,
					] {data/data.csv};
		\nextgroupplot[
			xticklabels = {Blue},
			%ymin = 3500,
%			xmax = 19,
%			ymax = 850,
%			width = 5cm,
			]
			\addplot+[
				boxplot,
				fill,
				blue,
				draw=black,
				]  table [
					y expr=\thisrow{B},
					col sep=semicolon,
					] {data/data.csv};
		\nextgroupplot[
			xticklabels = {Green},
%			xmin = 11,
%			xmax = 19,
%			ymax = 850,
%			width = 5cm,
			]
			\addplot+[
				boxplot,
				fill,
				green,
				draw=black,
				]  table [
					y expr=\thisrow{G},
					col sep=semicolon,
					] {data/data.csv};
		\nextgroupplot[
			xticklabels = {Red},
%			ymin = 3675,
%			xmax = 19,
%			ymax = 850,
%			width = 5cm,
			]
			\addplot+[
				boxplot,
				fill,
				red,
				draw=black,
				]  table [
					y expr=\thisrow{R},
					col sep=semicolon,
					] {data/data.csv};
		\nextgroupplot[
			xticklabels = {IR},
%			xmin = 11,
%			xmax = 19,
%			ymax = 850,
%			width = 5cm,
			]
			\addplot+[
				boxplot,
				fill,
				orange,
				draw=black,
				]  table [
					y expr=\thisrow{IR},
					col sep=semicolon,
					] {data/data.csv};
  \end{groupplot}
%  \draw[thick, blue, ->, shorten >=2pt, shorten <=2pt] (group c1r1.east)
%  -- (group c2r1.west);
\end{tikzpicture}
\end{document}